# ==========================================================================
#     _   _ _ ____            ____          _____
#    | | | (_)  _ \ ___ _ __ / ___|___  _ _|_   _| __ __ _  ___ ___ _ __
#    | |_| | | |_) / _ \ '__| |   / _ \| '_ \| || '__/ _` |/ __/ _ \ '__|
#    |  _  | |  __/  __/ |  | |__| (_) | | | | || | | (_| | (_|  __/ |
#    |_| |_|_|_|   \___|_|   \____\___/|_| |_|_||_|  \__,_|\___\___|_|
#
#       ---  High-Performance Connectivity Tracer (HiPerConTracer)  ---
#                 https://www.nntb.no/~dreibh/hipercontracer/
# ==========================================================================
#
# High-Performance Connectivity Tracer (HiPerConTracer)
# Copyright (C) 2015-2025 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: dreibh@simula.no

# ====== Database Server ====================================================

# ----- TLS configuration options -------------------------------------------
# NOTE:
# dbcafile sets a TLS CA file.
# dbcertkeyfile sets a TLS client certificate file.
# dbconnectionflags sets TLS connection flags (space-separated):
# * NONE: default, i.e. require properly configured TLS
# * DisableTLS: disable TLS
# * AllowInvalidHostname: allow invalid hostnames in certificate
# * AllowInvalidCertificate: allow invalid certificate
# WARNING: Do *not* use these options! Instead, configure TLS properly!!
# ---------------------------------------------------------------------------


# ****** Configuration with SQL Debug "database": *********
# This is only a dummy backend, printing the SQL statements!
dbbackend         = DebugSQL
dbreconnectdelay  = 5

# ****** Configuration with NoSQL Debug "database": *******
# This is only a dummy backend, printing the NoSQL statements!
# dbbackend         = DebugNoSQL
# dbreconnectdelay  = 5


# ****** Configuration with MariaDB server: ***************
# dbbackend         = MariaDB
# dbserver          = mariadb.domain.example
# dbport            = 3306
# dbcafile          = NONE
# dbcrlfile         = NONE
# dbcertfile        = NONE
# dbkeyfile         = NONE
# dbconnectionflags = NONE
# dbuser            = importer
# dbpassword        = !importer!
# database          = PingTracerouteDB
# dbreconnectdelay  = 30

# ****** Configuration with PostgreSQL server: ************
# dbbackend         = PostgreSQL
# dbserver          = postgresql.domain.example
# dbport            = 5432
# dbcafile          = NONE
# dbcrlfile         = NONE
# dbcertfile        = NONE
# dbkeyfile         = NONE
# dbconnectionflags = NONE
# dbuser            = importer
# dbpassword        = !importer!
# database          = pingtraceroutedb
# dbreconnectdelay  = 30

# ****** Configuration with MongoDB server: ***************
# dbbackend         = MongoDB
# dbserver          = mongodb.domain.example
# dbport            = 27017
# dbcafile          = NONE
# dbcrlfile         = NONE
# NOTE: MongoDB expects a combined certificate+key file!
# dbcertkeyfile     = NONE
# dbconnectionflags = NONE
# dbuser            = importer
# dbpassword        = !importer!
# database          = pingtraceroutedb
# dbreconnectdelay  = 30
